#### Description:

A PermMap is a Mapping which permutes the order of coordinates, and possibly also changes the number of coordinates, between its input and output.

In addition to permuting the coordinate order, a PermMap may also assign constant values to coordinates. This is useful when the number of coordinates is being increased as it allows fixed values to be assigned to any new ones.

#### Constructor Function

astPermMap

#### Inheritance

The PermMap class inherits from the Mapping class.

#### Attributes

The PermMap class does not define any new attributes beyond those which are applicable to all Mappings.

#### Functions

The PermMap class does not define any new functions beyond those which are applicable to all Mappings.
Copyright (C) 2021 East Asian Observatory